com.mxgraph.io

## Enum mxGdCodec.mxGDParseState

- java.lang.Object
- - java.lang.Enum<mxGdCodec.mxGDParseState>
  - - com.mxgraph.io.mxGdCodec.mxGDParseState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<mxGdCodec.mxGDParseState>
  Enclosing class:
    mxGdCodec

      public static enum mxGdCodec.mxGDParseState
      extends java.lang.Enum<mxGdCodec.mxGDParseState>

  Represents the different states in the parse of a file.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NUM_NODES`
    `PARSING_EDGES`
    `PARSING_NODES`
    `START`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static mxGdCodec.mxGDParseState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static mxGdCodec.mxGDParseState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START

          public static final mxGdCodec.mxGDParseState START

    - #### NUM_NODES

          public static final mxGdCodec.mxGDParseState NUM_NODES

    - #### PARSING_NODES

          public static final mxGdCodec.mxGDParseState PARSING_NODES

    - #### PARSING_EDGES

          public static final mxGdCodec.mxGDParseState PARSING_EDGES

  - ### Method Detail

    - #### values

          public static mxGdCodec.mxGDParseState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (mxGdCodec.mxGDParseState c : mxGdCodec.mxGDParseState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static mxGdCodec.mxGDParseState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (c) 2010 Gaudenz Alder. All rights reserved.